package net.recompile.webdb.jruby.command;

import java.io.FileReader;
import java.io.Reader;

import org.jruby.Ruby;
import org.jruby.javasupport.JavaUtil;
import org.jruby.runtime.builtin.IRubyObject;

public class CommandClient {
    public static void main(String[] args) throws Exception {
        Ruby ruby = Ruby.getDefaultInstance();

        String filename = "src/main/ruby/command_hello.rb";
        Reader reader = new FileReader(filename);
        IRubyObject obj =
            ruby.evalScript(reader, filename);

        Command hello =
            (Command) JavaUtil.convertRubyToJava(obj);
        hello.execute("World");
    }
}
