package net.recompile.webdb.jruby.composite;

import java.io.FileReader;

import org.jruby.Ruby;
import org.jruby.javasupport.JavaEmbedUtils;
import org.jruby.runtime.builtin.IRubyObject;

public class CompositeClient {
    public static void main(String[] args) throws Exception {
        String filename = "src/main/ruby/component.rb";
        FileReader reader = new FileReader(filename);
        
        Ruby ruby = Ruby.getDefaultInstance();
        ruby.evalScript(
            "require 'src/main/ruby/component_helper.rb'");
        IRubyObject obj =
            ruby.evalScript(reader, filename);
        
        Component comp =
            (Component) JavaEmbedUtils.rubyToJava(ruby,
                obj, Component.class);
        comp.walk();
    }
}
