require 'java'

import 'net.recompile.webdb.jruby.composite.Composite'
import 'net.recompile.webdb.jruby.composite.Leaf'

@stack = []

def composite name, &block
  c = Composite.new name
  @stack.last.add c unless @stack.empty?

  @stack.push c
  block.call
  @stack.pop
end

def leaf name
  l = Leaf.new name
  @stack.last.add l
end
